Author Topic: NicTool broken after Ubuntu upgrade to 14.04 LTS  (Read 3649 times)

pertoft

  • wiki
  • **
  • Posts: 4
  • Karma: +0/-0
NicTool broken after Ubuntu upgrade to 14.04 LTS
« on: January 06, 2015, 03:00:44 am »
Hi all,

Just did a distribution upgrade on our Ubuntu server to 14.04 LTS which is running NicTool.

This upgrade impled apache was updated to 2.4.7 and perl to version  5.18.2.

I have done a fresh install of Nictool 2.30 and still cant get it to work.

When I open the browser to access nictool, im presented with a "500 Internal Server Error".
In the Apache2 error log i get:
Code: [Select]
[Tue Jan 06 10:39:38.076332 2015] [perl:error] [pid 12702] [client 172.18.11.132:18808] failed to resolve handler `ModPerl::Registry': Can't locate ModPerl/Registry.pm:   Permission denied at (eval 141) line 2.\n

Any suggestion on what to do?

Apache configuration for Nictool client:
Code: [Select]
PerlRequire /usr/local/nictool/client/lib/nictoolclient.conf

<VirtualHost *:80>
    # force a https connection
    ServerName amnesio.iux.sonofon.dk
    Redirect / https://amnesio.iux.sonofon.dk/
</VirtualHost>

<VirtualHost *:443>
    ServerName amnesio.iux.sonofon.dk
    Alias /images/ "/usr/local/nictool/client/htdocs/images/"
    DocumentRoot /usr/local/nictool/client/htdocs
    DirectoryIndex index.cgi
    SSLEngine on
    SSLCertificateFile /etc/apache2/ssl/apache.crt
    SSLCertificateKeyFile /etc/apache2/ssl/apache.key

    <Files "*.cgi">
       SetHandler perl-script
       PerlResponseHandler ModPerl::Registry
       PerlOptions +ParseHeaders
       Options +ExecCGI
    </Files>

    <Directory "/usr/local/nictool/client/htdocs">
        AllowOverride None
        #Order allow,deny
        #Allow from all
        Require all granted
    </Directory>
</VirtualHost>

Apache conf for Nictool Server:
Code: [Select]
<IfDefine !MODPERL2>
   PerlFreshRestart On
</IfDefine>
PerlTaintCheck Off

Listen 8082

PerlRequire /usr/local/nictool/server/lib/nictoolserver.conf

<VirtualHost *:8082>
    KeepAlive Off
    <Location />
        SetHandler perl-script
        PerlResponseHandler NicToolServer
    </Location>
    <Location /soap>
        SetHandler perl-script
        PerlResponseHandler Apache::SOAP
        PerlSetVar dispatch_to "/usr/local/nictool/server, NicToolServer::SOAP"
    </Location>
</VirtualHost>


matt

  • Administrator
  • Wizard
  • *****
  • Posts: 635
  • Karma: +0/-0
    • Matt's Personal Site
Re: NicTool broken after Ubuntu upgrade to 14.04 LTS
« Reply #1 on: January 06, 2015, 11:53:35 am »
mod_perl is not yet Apache 2.4 compatible but there's a beta version out. You'll have to figure out how to get mod_perl (IIRC, the new version is 2.0.9) installed in Ubuntu. Or roll back the upgrade.

pertoft

  • wiki
  • **
  • Posts: 4
  • Karma: +0/-0
Re: NicTool broken after Ubuntu upgrade to 14.04 LTS
« Reply #2 on: January 28, 2015, 05:20:21 am »
I have reverted to a snapshot with Ubuntu 12.04 LTS - and it works again. Maybe you should make a warning that NicTool does not work on 14.04 LTS.

Thanks
Per